

MULTI_DEPEND_TARGET += sdk
MULTI_TARGET_CLEAN  += sdk_clean
MULTI_DEPEND_TARGETD += sdkd
MULTI_TARGET_CLEAND  += sdkd_clean
#sdk:BOOT_LIB VOS_LIB MIDDLEWARE_LIB DRIVER_LIB PM_LIB COMMON_LIB
#sdk_clean:BOOT_LIB_CLEAN VOS_LIB_CLEAN MIDDLEWARE_LIB_CLEAN DRIVER_LIB_CLEAN PM_LIB_CLEAN COMMON_LIB_CLEAN    
#sdk:BOOT_LIB VOS_LIB MIDDLEWARE_LIB DRIVER_LIB COMMON_LIB
#sdk_clean:BOOT_LIB_CLEAN VOS_LIB_CLEAN MIDDLEWARE_LIB_CLEAN  COMMON_LIB_CLEAN    
sdk:$(CONFIG_SDK_LIB)
sdk_clean:$(addsuffix _clean,$(CONFIG_SDK_LIB))

sdkd:$(addsuffix _d,$(CONFIG_SDK_LIB))
sdkd_clean:$(addsuffix _d_clean,$(CONFIG_SDK_LIB))

libboot.a:
	@$(MAKE) release COMPILE_MODE=release -C "$(BUILD_OUT_OBJ_DIR)" -f $(ROOT_DIR)/sdk/Boot/Makefile.mk 
libvos.a:
	@$(MAKE) release COMPILE_MODE=release -C "$(BUILD_OUT_OBJ_DIR)" -f $(ROOT_DIR)/sdk/Vos/Makefile.mk
libmiddleware.a:
	@$(MAKE) release COMPILE_MODE=release -C "$(BUILD_OUT_OBJ_DIR)" -f $(ROOT_DIR)/sdk/MiddleWare/Makefile.mk 
libdriver.a:
	@$(MAKE) release COMPILE_MODE=release -C "$(BUILD_OUT_OBJ_DIR)" -f $(ROOT_DIR)/sdk/Driver/Makefile.mk 
PM_LIB:
	@$(MAKE) release COMPILE_MODE=release -C "$(BUILD_OUT_OBJ_DIR)" -f $(ROOT_DIR)/sdk/PM/Makefile.mk 
libcommon.a:
	@$(MAKE) release COMPILE_MODE=release -C "$(BUILD_OUT_OBJ_DIR)" -f $(ROOT_DIR)/sdk/Common/Makefile.mk 
	
libboot.a_d:
	@$(MAKE) debug COMPILE_MODE=debug  -C "$(BUILD_OUT_OBJ_DIR)" -f $(ROOT_DIR)/sdk/Boot/Makefile.mk 
libvos.a_d:
	@$(MAKE) debug COMPILE_MODE=debug -C "$(BUILD_OUT_OBJ_DIR)" -f $(ROOT_DIR)/sdk/Vos/Makefile.mk
libmiddleware.a_d:
	@$(MAKE) debug COMPILE_MODE=debug -C "$(BUILD_OUT_OBJ_DIR)" -f $(ROOT_DIR)/sdk/MiddleWare/Makefile.mk 
libdriver.a_d:
	@$(MAKE) debug COMPILE_MODE=debug -C "$(BUILD_OUT_OBJ_DIR)" -f $(ROOT_DIR)/sdk/Driver/Makefile.mk 
PM_LIB_d:
	@$(MAKE) debug COMPILE_MODE=debug -C "$(BUILD_OUT_OBJ_DIR)" -f $(ROOT_DIR)/sdk/PM/Makefile.mk 
libcommon.a_d:
	@$(MAKE) debug COMPILE_MODE=debug -C "$(BUILD_OUT_OBJ_DIR)" -f $(ROOT_DIR)/sdk/Common/Makefile.mk 
	

libboot.a_clean:
	@$(MAKE) clean -f $(ROOT_DIR)/sdk/Boot/Makefile.mk 
libvos.a_clean:
	@$(MAKE) clean  -f $(ROOT_DIR)/sdk/Vos/Makefile.mk
libmiddleware.a_clean:
	

libdriver.a_clean:
	
PM_LIB_CLEAN:

libcommon.a_clean:

libboot.a_d_clean:
	@$(MAKE) clean -f $(ROOT_DIR)/sdk/Boot/Makefile.mk 
libvos.a_d_clean:
	@$(MAKE) clean  -f $(ROOT_DIR)/sdk/Vos/Makefile.mk
libmiddleware.a_d_clean:

	
libdriver.a_d_clean:
	
PM_LIB_CLEAN_d:

libcommon.a_d_clean:

	
